function [var_omega, frac_phi, Phi, sigma_nu, zetta, kappa_nu] = calc_deep_param(sigma,varphi,eta,theta,alpha,nu,betta)

%%% calculating deep parameters
% IS curve
var_omega = sigma*eta + (1-nu)*(sigma*eta-1);
frac_phi = 1+nu*(var_omega-1);
Phi = 1/frac_phi;
sigma_nu = sigma*Phi;

% NKPC
zetta = (1-theta)*(1-theta*betta)/theta;
kappa_nu = zetta*(sigma_nu+(varphi+alpha)/(1-alpha));


end