
function [M_disc_w, C_disc_w, M_disc_a, C_disc_a,var_disc] = calc_disc(n,n1,n2,n3,A,B,Q,R,U,betta,C,theta_evil,Cx,Cu,Z,SigmaXX)

% robust solution
[M_disc_w,C_disc_w,M_disc_a,C_disc_a,Fu,~,~,~] = DiscAlgR(A,B,Q,R,U,betta,n1,n2,eye(n1),zeros(n2,n1),...
                                               1e-6,0,1,0,1,0,1e+4,C,theta_evil);
% losses under worst case
[~, ~, Lossd_r] = calc_welf_disc(n,n1,n2,n3,M_disc_w,C_disc_w,Fu,Cx,Cu,Z,SigmaXX);
% losses for approximating policies
[~, ~, Lossd_a] = calc_welf_disc(n,n1,n2,n3,M_disc_a,C_disc_a,Fu,Cx,Cu,Z,SigmaXX);
var_disc = [Lossd_r Lossd_a];

end

