function [SigmaYc, varsYc, LossYc] = calc_welf_comit(n,n1,n2,nuu,Mc,Nc,C,Cx,Cu,Z,Sigmae)

%%% Calculate unconditional variances

nu2 = nuu+n1;

% Worst-case equilibrium
MM0 = [ eye(n) zeros(n,n+nu2);
                    -Nc eye(n+nu2) ];
MM1 = zeros(2*n+nu2);
MM1(1:n,1:n) = Mc;
LL1 = [ eye(n); zeros(n+nu2,n) ];
MM = inv(MM0)*MM1;
LL = inv(MM0)*LL1;
      
 Sigmae1 = LL*C*Sigmae*C'*LL';
 vv = inv(eye((2*n+nu2)*(2*n+nu2)) - kron(MM,MM)) * Sigmae1(:);
 Sigmaklc = reshape(vv,2*n+nu2,2*n+nu2);
 Sigmaxuc = Sigmaklc([1:n1 n+1:(n+n2+nuu)],[1:n1 n+1:(n+n2+nuu)]);

 SigmaYc = [ Cx Cu ]*Sigmaxuc*[ Cx Cu ]';
 varsYc = diag(SigmaYc)';
 LossYc = trace(Z*SigmaYc);
 
end