% price level
% worst case
p_com_w(1) = 0; p_disc_w(1) = 0; p_slp_w(1) = 0; p_nit_w(1) = 0;
p_com_w = [p_com_w(1); zeros(Tbig-1,1)]; p_disc_w =  [p_disc_w(1); zeros(Tbig-1,1)];
p_slp_w = [p_slp_w(1); zeros(Tbig-1,1)]; p_nit_w =  [p_nit_w(1); zeros(Tbig-1,1)];

for k = 1:Tbig-1
    p_com_w(k+1) = Simupi_Cw(k,2) + p_com_w(k);
    p_disc_w(k+1) = Simupi_Dw(k,2) + p_disc_w(k);
    p_slp_w(k+1) = Simupi_Dw_sp(k,2) + p_slp_w(k);
    p_nit_w(k+1) = Simupi_Dw_nt(k,2) + p_nit_w(k);
end

p_com_a(1) = 0; p_disc_a(1) = 0; p_slp_a(1) = 0; p_nit_a(1) = 0;
p_com_a = [p_com_a(1); zeros(Tbig-1,1)]; p_disc_a =  [p_disc_a(1); zeros(Tbig-1,1)];
p_slp_a = [p_slp_a(1); zeros(Tbig-1,1)]; p_nit_a =  [p_nit_a(1); zeros(Tbig-1,1)];

for k = 1:Tbig-1
    p_com_a(k+1) = Simupi_Ca(k,2) + p_com_a(k);
    p_disc_a(k+1) = Simupi_Da(k,2) + p_disc_a(k);
    p_slp_a(k+1) = Simupi_Da_sp(k,2) + p_slp_a(k);
    p_nit_a(k+1) = Simupi_Da_nt(k,2) + p_nit_a(k);

end

figure(5)
plot(tline',p_com_w,'k-',tline',p_disc_w,'b--',tline',p_nit_w,'r-.',tline',p_slp_w,'m-o');
ylabel('Response of PPI price level'); xlabel('Quarter');
legend('Precommitment','Pure discretion','Nominal income growth','Speed limit policy','location','best');
saveas(gcf,'figure4','epsc')

figure(6)
plot(tline',p_com_w,'k-',tline',p_com_a,'k-x',tline',p_disc_w,'b--',tline',p_disc_a,'b-d',...
    tline',p_nit_w,'r-.',tline',p_nit_a,'r-*',tline',p_slp_w,'m-o',tline',p_slp_a,'m:');
ylabel('Response of PPI price level'); xlabel('Quarter');
legend('Precommitment (worst)','Precommitment (approx)','Pure discretion (worst)','Pure discretion (approx)'...
    ,'Nominal income growth (worst)','Nominal income growth (approx)','Speed limit policy (worst)','Speed limit policy (approx)');              